# Gimp.Image.prototype.undo_freeze

    function undo_freeze(): Boolean {
        // Gjs wrapper for gimp_image_undo_freeze()
    }

Freeze the image's undo stack.

This procedure freezes the image's undo stack, allowing subsequent operations to ignore their undo steps. This is generally called in conjunction with Gimp.Image.prototype.undo_thaw to temporarily disable an image undo stack. This is advantageous because saving undo steps can be time and memory intensive. Gimp.Image.prototype.undo_freeze / Gimp.Image.prototype.undo_thaw and Gimp.Image.prototype.undo_disable / Gimp.Image.prototype.undo_enable differ in that the former does not free up all undo steps when undo is thawed, so is more suited to interactive in-situ previews. It is important in this case that the image is back to the same state it was frozen in before thawing, else 'undo' behavior is undefined.

Returns

  TRUE if the image undo has been frozen.